'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('@stitches/react');
var jsxRuntime = require('react/jsx-runtime');
var react$1 = require('react');
var Sprites = require('./sprites-XJWTRY4N.svg');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Sprites__default = /*#__PURE__*/_interopDefaultLegacy(Sprites);

// src/theme/stitches.config.ts
var {
  styled,
  css,
  globalCss,
  keyframes,
  getCssText,
  theme,
  createTheme,
  config,
  reset
} = react.createStitches({
  theme: {
    fonts: {
      main: "'Margem', sans-serif"
    },
    space: {
      100: "0.25rem",
      200: "0.5rem",
      300: "0.75rem",
      400: "1rem",
      500: "1.25rem",
      600: "1.5rem",
      700: "1.75rem",
      800: "2rem",
      900: "2.25rem",
      1e3: "2.5rem",
      1100: "2.75rem",
      1200: "3rem",
      1300: "3.25rem",
      1400: "3.5rem",
      1500: "3.75rem",
      1600: "4rem"
    },
    fontSizes: {
      100: "0.625rem",
      200: "0.75rem",
      300: "0.875rem",
      400: "1rem",
      500: "1.25rem",
      600: "1.5rem",
      700: "2rem"
    },
    fontWeights: {
      regular: 400,
      medium: 500,
      bold: 700
    },
    radii: {
      circle: "50%",
      pill: "999rem",
      100: "0.25rem",
      200: "0.5rem",
      300: "0.75rem"
    },
    lineHeights: {
      tight: 1,
      medium: 1.2,
      large: 1.5
    },
    borderWidths: {
      thin: "1px",
      medium: "2px",
      large: "3px"
    },
    zIndices: {
      100: "1",
      200: "2",
      300: "3",
      400: "4",
      max: "9"
    },
    shadows: {
      red40: "0px 1px 8px rgba(208, 2, 27, 0.33)",
      green40: "0px 1px 8px rgba(0, 105, 55, 0.28)",
      gray40: "0px 1px 8px rgba(0, 0, 0, 0.15)"
    },
    colors: {
      green20: "#63a896",
      green30: "#009845",
      green40: "#00833E",
      green60: "#006937",
      white: "#FFFFFF",
      gray10: "#F4F4F4",
      gray20: "#e8e8e8",
      gray30: "#acacac",
      gray40: "#848484",
      gray50: "#4a4a4a",
      black: "#2d3a37",
      red40: "#d0021b",
      red60: "#B21327",
      yellow40: "#FFCB46"
    }
  },
  media: {
    mobile: "(max-width: 32.4375em)",
    tablet: "(min-width: 32.5em)",
    touch: "(max-width: 64em)",
    desktop: "(min-width: 64.0625em)",
    prefersMotion: "(prefers-reduced-motion: no-preference)",
    hoverBased: "(hover: hover)",
    hoverNone: "(hover: none)"
  }
});

// src/components/Button/Button.tsx
var Button = styled("button", {
  $$innerBorderSize: "0.1875rem",
  defaultVariants: {
    size: "small",
    variant: "outlined",
    color: "primary"
  },
  display: "inline-flex",
  alignItems: "center",
  justifyContent: "center",
  color: "red",
  gap: "$200",
  background: "none",
  fontFamily: "$main",
  textTransform: "uppercase",
  lineHeight: "$tight",
  fontWeight: "$medium",
  borderRadius: "$200",
  cursor: "pointer",
  userSelect: "none",
  borderWidth: "$thin",
  borderStyle: "solid",
  "&:disabled": {
    pointerEvents: "none"
  },
  "@prefersMotion": {
    transition: "all 250ms ease"
  },
  outline: "$$innerBorderSize solid transparent",
  outlineOffset: "-$$innerBorderSize",
  textDecoration: "none",
  variants: {
    loading: {
      true: {
        pointerEvents: "none"
      }
    },
    fullWidth: {
      true: {
        width: "100%"
      },
      false: {
        width: "auto"
      }
    },
    size: {
      large: {
        padding: "$500 $1200"
      },
      medium: {
        padding: "$400 $1000"
      },
      small: {
        padding: "$300 $400"
      }
    },
    variant: {
      contained: {
        "&:disabled:not(.loading)": {
          background: "$gray40",
          borderColor: "$gray40"
        }
      },
      outlined: {
        "&:disabled:not(.loading)": {
          color: "$gray40",
          background: "transparent",
          borderColor: "$gray40"
        }
      }
    },
    color: {
      primary: {
        "&.focus-visible": {
          outlineColor: "$green30",
          boxShadow: "$green40"
        }
      },
      danger: {
        "&.focus-visible": {
          outlineColor: "$red60",
          boxShadow: "$red40"
        }
      }
    }
  },
  compoundVariants: [
    {
      variant: "contained",
      color: "primary",
      css: {
        background: "$green60",
        color: "$white",
        borderColor: "$green60",
        "@hoverBased": {
          "&:hover": {
            background: "$green40",
            borderColor: "$green40"
          }
        }
      }
    },
    {
      variant: "outlined",
      color: "primary",
      css: {
        background: "transparent",
        color: "$green60",
        borderColor: "$green60",
        "@hoverBased": {
          "&:hover": {
            background: "$green60",
            color: "$white"
          }
        }
      }
    },
    {
      variant: "contained",
      color: "danger",
      css: {
        background: "$red40",
        color: "$white",
        borderColor: "$red40",
        "@hoverBased": {
          "&:hover": {
            background: "$red60",
            borderColor: "$red60"
          }
        }
      }
    },
    {
      variant: "outlined",
      color: "danger",
      css: {
        background: "transparent",
        color: "$red40",
        borderColor: "$red40",
        "@hoverBased": {
          "&:hover": {
            background: "$red40",
            color: "$white"
          }
        }
      }
    }
  ]
});
var OutroComponente = (props) => {
  return /* @__PURE__ */ jsxRuntime.jsx("h1", {
    children: props.children
  });
};
var rotate = keyframes({
  from: {
    transform: "rotate(0deg)"
  },
  to: {
    transform: "rotate(359deg)"
  }
});
var StyledIcon = styled("svg", {
  width: "1em",
  height: "1em",
  defaultVariants: {
    size: 400,
    fill: "currentColor"
  },
  variants: {
    size: {
      inherit: {
        fontSize: "inherit"
      },
      100: {
        fontSize: "$100"
      },
      200: {
        fontSize: "$200"
      },
      300: {
        fontSize: "$300"
      },
      400: {
        fontSize: "$400"
      },
      500: {
        fontSize: "$500"
      },
      600: {
        fontSize: "$600"
      },
      700: {
        fontSize: "$700"
      }
    },
    fill: {
      currentColor: {
        fill: "currentColor"
      },
      green20: {
        fill: "$green20"
      },
      green30: {
        fill: "$green30"
      },
      green40: {
        fill: "$green40"
      },
      green60: {
        fill: "$green60"
      },
      white: {
        fill: "$white"
      },
      gray10: {
        fill: "$gray10"
      },
      gray20: {
        fill: "$gray20"
      },
      gray30: {
        fill: "$gray30"
      },
      gray40: {
        fill: "$gray40"
      },
      gray50: {
        fill: "$gray50"
      },
      black: {
        fill: "$black"
      },
      red40: {
        fill: "$red40"
      }
    },
    animate: {
      rotate: {
        animation: `${rotate} 2s infinite linear`
      }
    }
  }
});
var Icon = react$1.forwardRef(
  ({ label, ...props }, ref) => {
    return /* @__PURE__ */ jsxRuntime.jsx(StyledIcon, {
      ref,
      ...props,
      "data-testid": `icon-${label}`,
      children: /* @__PURE__ */ jsxRuntime.jsx("use", {
        href: `${Sprites__default["default"]}#icon-${label}`,
        "data-testid": "use-icon"
      })
    });
  }
);
Icon.displayName = "Icon";

// src/icons/iconKeys.ts
var iconKeys = [
  "search",
  "phone",
  "cart",
  "user",
  "hamburger-menu",
  "facebook",
  "instagram",
  "pinterest",
  "twitter",
  "close",
  "whatsapp",
  "chevron-down",
  "chevron-up",
  "chevron-left",
  "chevron-right",
  "package",
  "calendar",
  "double-message",
  "double-user",
  "payment",
  "percentage",
  "wavy-percentage",
  "wrench",
  "arrow-left",
  "arrow-right",
  "check-circle",
  "loading",
  "width",
  "height",
  "depth",
  "weight",
  "alert-triangle",
  "alert-circle",
  "check",
  "more",
  "less",
  "trash",
  "truck",
  "layers",
  "clock",
  "book-open",
  "eye-off",
  "eye",
  "card"
];

exports.Button = Button;
exports.Icon = Icon;
exports.OutroComponente = OutroComponente;
exports.config = config;
exports.createTheme = createTheme;
exports.css = css;
exports.getCssText = getCssText;
exports.globalCss = globalCss;
exports.iconKeys = iconKeys;
exports.keyframes = keyframes;
exports.reset = reset;
exports.styled = styled;
exports.theme = theme;
