import * as _stitches_react_types_styled_component from '@stitches/react/types/styled-component';
import * as _stitches_react_types_css_util from '@stitches/react/types/css-util';
import * as _stitches_react_types_config from '@stitches/react/types/config';
import * as react from 'react';
import { ReactNode, ComponentProps } from 'react';
import * as _stitches_react_types_theme from '@stitches/react/types/theme';
import * as _stitches_react_types_css from '@stitches/react/types/css';
import * as _stitches_react_types_stitches from '@stitches/react/types/stitches';
import * as _stitches_react_types_util from '@stitches/react/types/util';

declare const Button: _stitches_react_types_styled_component.StyledComponent<"button", {
    loading?: boolean | "true" | undefined;
    fullWidth?: boolean | "true" | "false" | undefined;
    size?: "medium" | "large" | "small" | undefined;
    variant?: "outlined" | "contained" | undefined;
    color?: "primary" | "danger" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>>;

declare type OutroComponenteProps = {
    children: ReactNode;
};
declare const OutroComponente: (props: OutroComponenteProps) => JSX.Element;

declare const iconKeys: readonly ["search", "phone", "cart", "user", "hamburger-menu", "facebook", "instagram", "pinterest", "twitter", "close", "whatsapp", "chevron-down", "chevron-up", "chevron-left", "chevron-right", "package", "calendar", "double-message", "double-user", "payment", "percentage", "wavy-percentage", "wrench", "arrow-left", "arrow-right", "check-circle", "loading", "width", "height", "depth", "weight", "alert-triangle", "alert-circle", "check", "more", "less", "trash", "truck", "layers", "clock", "book-open", "eye-off", "eye", "card"];

declare const StyledIcon: _stitches_react_types_styled_component.StyledComponent<"svg", {
    size?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | 400 | 500 | 700 | 100 | 200 | 300 | 600 | "inherit" | undefined;
    fill?: "red40" | "green40" | "gray40" | "green20" | "green30" | "green60" | "white" | "gray10" | "gray20" | "gray30" | "gray50" | "black" | "currentColor" | undefined;
    animate?: "rotate" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>>;
declare type IconKeys = typeof iconKeys[number];
declare type IconProps = ComponentProps<typeof StyledIcon> & {
    label: IconKeys;
};
declare const Icon: react.ForwardRefExoticComponent<Pick<IconProps, "string" | "max" | "clipPath" | "color" | "cursor" | "direction" | "display" | "filter" | "fontFamily" | "fontSize" | "fontSizeAdjust" | "fontStretch" | "fontStyle" | "fontVariant" | "fontWeight" | "height" | "imageRendering" | "letterSpacing" | "opacity" | "order" | "paintOrder" | "pointerEvents" | "rotate" | "scale" | "textRendering" | "transform" | "unicodeBidi" | "visibility" | "width" | "wordSpacing" | "writingMode" | "mask" | "offset" | "overflow" | "textDecoration" | "alignmentBaseline" | "baselineShift" | "clip" | "clipRule" | "colorInterpolation" | "colorRendering" | "dominantBaseline" | "fill" | "fillOpacity" | "fillRule" | "floodColor" | "floodOpacity" | "glyphOrientationVertical" | "lightingColor" | "markerEnd" | "markerMid" | "markerStart" | "shapeRendering" | "stopColor" | "stopOpacity" | "stroke" | "strokeDasharray" | "strokeDashoffset" | "strokeLinecap" | "strokeLinejoin" | "strokeMiterlimit" | "strokeOpacity" | "strokeWidth" | "textAnchor" | "vectorEffect" | "css" | "label" | "style" | "animate" | "path" | "size" | "end" | "local" | "x" | "y" | "alphabetic" | "hanging" | "ideographic" | "mathematical" | "children" | "from" | "to" | "className" | "id" | "lang" | "media" | "method" | "min" | "name" | "target" | "type" | "role" | "tabIndex" | "crossOrigin" | "accentHeight" | "accumulate" | "additive" | "allowReorder" | "amplitude" | "arabicForm" | "ascent" | "attributeName" | "attributeType" | "autoReverse" | "azimuth" | "baseFrequency" | "baseProfile" | "bbox" | "begin" | "bias" | "by" | "calcMode" | "capHeight" | "clipPathUnits" | "colorInterpolationFilters" | "colorProfile" | "contentScriptType" | "contentStyleType" | "cx" | "cy" | "d" | "decelerate" | "descent" | "diffuseConstant" | "divisor" | "dur" | "dx" | "dy" | "edgeMode" | "elevation" | "enableBackground" | "exponent" | "externalResourcesRequired" | "filterRes" | "filterUnits" | "focusable" | "format" | "fr" | "fx" | "fy" | "g1" | "g2" | "glyphName" | "glyphOrientationHorizontal" | "glyphRef" | "gradientTransform" | "gradientUnits" | "horizAdvX" | "horizOriginX" | "href" | "in2" | "in" | "intercept" | "k1" | "k2" | "k3" | "k4" | "k" | "kernelMatrix" | "kernelUnitLength" | "kerning" | "keyPoints" | "keySplines" | "keyTimes" | "lengthAdjust" | "limitingConeAngle" | "markerHeight" | "markerUnits" | "markerWidth" | "maskContentUnits" | "maskUnits" | "mode" | "numOctaves" | "operator" | "orient" | "orientation" | "origin" | "overlinePosition" | "overlineThickness" | "panose1" | "pathLength" | "patternContentUnits" | "patternTransform" | "patternUnits" | "points" | "pointsAtX" | "pointsAtY" | "pointsAtZ" | "preserveAlpha" | "preserveAspectRatio" | "primitiveUnits" | "r" | "radius" | "refX" | "refY" | "renderingIntent" | "repeatCount" | "repeatDur" | "requiredExtensions" | "requiredFeatures" | "restart" | "result" | "rx" | "ry" | "seed" | "slope" | "spacing" | "specularConstant" | "specularExponent" | "speed" | "spreadMethod" | "startOffset" | "stdDeviation" | "stemh" | "stemv" | "stitchTiles" | "strikethroughPosition" | "strikethroughThickness" | "surfaceScale" | "systemLanguage" | "tableValues" | "targetX" | "targetY" | "textLength" | "u1" | "u2" | "underlinePosition" | "underlineThickness" | "unicode" | "unicodeRange" | "unitsPerEm" | "vAlphabetic" | "values" | "version" | "vertAdvY" | "vertOriginX" | "vertOriginY" | "vHanging" | "vIdeographic" | "viewBox" | "viewTarget" | "vMathematical" | "widths" | "x1" | "x2" | "xChannelSelector" | "xHeight" | "xlinkActuate" | "xlinkArcrole" | "xlinkHref" | "xlinkRole" | "xlinkShow" | "xlinkTitle" | "xlinkType" | "xmlBase" | "xmlLang" | "xmlns" | "xmlnsXlink" | "xmlSpace" | "y1" | "y2" | "yChannelSelector" | "z" | "zoomAndPan" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "key"> & react.RefAttributes<SVGSVGElement>>;

declare const styled: <Type extends _stitches_react_types_util.Function | keyof JSX.IntrinsicElements | react.ComponentType<any>, Composers extends (string | _stitches_react_types_util.Function | react.ComponentType<any> | {
    [name: string]: unknown;
})[], CSS = _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>>(type: Type, ...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | _stitches_react_types_util.Function | react.ComponentType<any> ? Composers[K] : _stitches_react_types_stitches.RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : never : _stitches_react_types_util.WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : never : _stitches_react_types_util.WideObject) | undefined;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => _stitches_react_types_styled_component.StyledComponent<Type, _stitches_react_types_styled_component.StyledComponentProps<Composers>, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>>;
declare const css: <Composers extends (string | _stitches_react_types_util.Function | react.JSXElementConstructor<any> | react.ExoticComponent<any> | {
    [name: string]: unknown;
})[], CSS = _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | _stitches_react_types_util.Function | react.JSXElementConstructor<any> | react.ExoticComponent<any> ? Composers[K] : _stitches_react_types_stitches.RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : never : _stitches_react_types_util.WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : never : _stitches_react_types_util.WideObject) | undefined;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => _stitches_react_types_styled_component.CssComponent<_stitches_react_types_styled_component.StyledComponentType<Composers>, _stitches_react_types_styled_component.StyledComponentProps<Composers>, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, CSS>;
declare const globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? _stitches_react_types_css.AtRule.FontFace | _stitches_react_types_css.AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: _stitches_react_types_css_util.CSS<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red40: string;
            red60: string;
            yellow40: string;
        };
    }, _stitches_react_types_config.DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? _stitches_react_types_css.AtRule.Property : _stitches_react_types_css_util.CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red40: string;
        red60: string;
        yellow40: string;
    };
}, _stitches_react_types_config.DefaultThemeMap, {}>; })[]) => () => string;
declare const keyframes: (style: {
    [offset: string]: _stitches_react_types_css_util.CSS<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red40: string;
            red60: string;
            yellow40: string;
        };
    }, _stitches_react_types_config.DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
};
declare const getCssText: () => string;
declare const theme: string & {
    className: string;
    selector: string;
} & {
    fonts: {
        main: _stitches_react_types_theme.Token<"main", string, "fonts", "">;
    };
    space: {
        100: _stitches_react_types_theme.Token<"100", string, "space", "">;
        200: _stitches_react_types_theme.Token<"200", string, "space", "">;
        300: _stitches_react_types_theme.Token<"300", string, "space", "">;
        400: _stitches_react_types_theme.Token<"400", string, "space", "">;
        500: _stitches_react_types_theme.Token<"500", string, "space", "">;
        600: _stitches_react_types_theme.Token<"600", string, "space", "">;
        700: _stitches_react_types_theme.Token<"700", string, "space", "">;
        800: _stitches_react_types_theme.Token<"800", string, "space", "">;
        900: _stitches_react_types_theme.Token<"900", string, "space", "">;
        1000: _stitches_react_types_theme.Token<"1000", string, "space", "">;
        1100: _stitches_react_types_theme.Token<"1100", string, "space", "">;
        1200: _stitches_react_types_theme.Token<"1200", string, "space", "">;
        1300: _stitches_react_types_theme.Token<"1300", string, "space", "">;
        1400: _stitches_react_types_theme.Token<"1400", string, "space", "">;
        1500: _stitches_react_types_theme.Token<"1500", string, "space", "">;
        1600: _stitches_react_types_theme.Token<"1600", string, "space", "">;
    };
    fontSizes: {
        100: _stitches_react_types_theme.Token<"100", string, "fontSizes", "">;
        200: _stitches_react_types_theme.Token<"200", string, "fontSizes", "">;
        300: _stitches_react_types_theme.Token<"300", string, "fontSizes", "">;
        400: _stitches_react_types_theme.Token<"400", string, "fontSizes", "">;
        500: _stitches_react_types_theme.Token<"500", string, "fontSizes", "">;
        600: _stitches_react_types_theme.Token<"600", string, "fontSizes", "">;
        700: _stitches_react_types_theme.Token<"700", string, "fontSizes", "">;
    };
    fontWeights: {
        regular: _stitches_react_types_theme.Token<"regular", string, "fontWeights", "">;
        medium: _stitches_react_types_theme.Token<"medium", string, "fontWeights", "">;
        bold: _stitches_react_types_theme.Token<"bold", string, "fontWeights", "">;
    };
    radii: {
        circle: _stitches_react_types_theme.Token<"circle", string, "radii", "">;
        pill: _stitches_react_types_theme.Token<"pill", string, "radii", "">;
        100: _stitches_react_types_theme.Token<"100", string, "radii", "">;
        200: _stitches_react_types_theme.Token<"200", string, "radii", "">;
        300: _stitches_react_types_theme.Token<"300", string, "radii", "">;
    };
    lineHeights: {
        tight: _stitches_react_types_theme.Token<"tight", string, "lineHeights", "">;
        medium: _stitches_react_types_theme.Token<"medium", string, "lineHeights", "">;
        large: _stitches_react_types_theme.Token<"large", string, "lineHeights", "">;
    };
    borderWidths: {
        thin: _stitches_react_types_theme.Token<"thin", string, "borderWidths", "">;
        medium: _stitches_react_types_theme.Token<"medium", string, "borderWidths", "">;
        large: _stitches_react_types_theme.Token<"large", string, "borderWidths", "">;
    };
    zIndices: {
        100: _stitches_react_types_theme.Token<"100", string, "zIndices", "">;
        200: _stitches_react_types_theme.Token<"200", string, "zIndices", "">;
        300: _stitches_react_types_theme.Token<"300", string, "zIndices", "">;
        400: _stitches_react_types_theme.Token<"400", string, "zIndices", "">;
        max: _stitches_react_types_theme.Token<"max", string, "zIndices", "">;
    };
    shadows: {
        red40: _stitches_react_types_theme.Token<"red40", string, "shadows", "">;
        green40: _stitches_react_types_theme.Token<"green40", string, "shadows", "">;
        gray40: _stitches_react_types_theme.Token<"gray40", string, "shadows", "">;
    };
    colors: {
        green20: _stitches_react_types_theme.Token<"green20", string, "colors", "">;
        green30: _stitches_react_types_theme.Token<"green30", string, "colors", "">;
        green40: _stitches_react_types_theme.Token<"green40", string, "colors", "">;
        green60: _stitches_react_types_theme.Token<"green60", string, "colors", "">;
        white: _stitches_react_types_theme.Token<"white", string, "colors", "">;
        gray10: _stitches_react_types_theme.Token<"gray10", string, "colors", "">;
        gray20: _stitches_react_types_theme.Token<"gray20", string, "colors", "">;
        gray30: _stitches_react_types_theme.Token<"gray30", string, "colors", "">;
        gray40: _stitches_react_types_theme.Token<"gray40", string, "colors", "">;
        gray50: _stitches_react_types_theme.Token<"gray50", string, "colors", "">;
        black: _stitches_react_types_theme.Token<"black", string, "colors", "">;
        red40: _stitches_react_types_theme.Token<"red40", string, "colors", "">;
        red60: _stitches_react_types_theme.Token<"red60", string, "colors", "">;
        yellow40: _stitches_react_types_theme.Token<"yellow40", string, "colors", "">;
    };
};
declare const createTheme: <Argument0 extends string | ({
    fonts?: {
        main?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
        800?: string | number | boolean | undefined;
        900?: string | number | boolean | undefined;
        1000?: string | number | boolean | undefined;
        1100?: string | number | boolean | undefined;
        1200?: string | number | boolean | undefined;
        1300?: string | number | boolean | undefined;
        1400?: string | number | boolean | undefined;
        1500?: string | number | boolean | undefined;
        1600?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        regular?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        circle?: string | number | boolean | undefined;
        pill?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        tight?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    borderWidths?: {
        thin?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        max?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        red40?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
    } | undefined;
    colors?: {
        green20?: string | number | boolean | undefined;
        green30?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        gray10?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray30?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray50?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        yellow40?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    fonts?: {
        main?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
        800?: string | number | boolean | undefined;
        900?: string | number | boolean | undefined;
        1000?: string | number | boolean | undefined;
        1100?: string | number | boolean | undefined;
        1200?: string | number | boolean | undefined;
        1300?: string | number | boolean | undefined;
        1400?: string | number | boolean | undefined;
        1500?: string | number | boolean | undefined;
        1600?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        regular?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        circle?: string | number | boolean | undefined;
        pill?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        tight?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    borderWidths?: {
        thin?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        max?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        red40?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
    } | undefined;
    colors?: {
        green20?: string | number | boolean | undefined;
        green30?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        gray10?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray30?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray50?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        yellow40?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1 | undefined) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? _stitches_react_types_stitches.ThemeTokens<Argument1, ""> : _stitches_react_types_stitches.ThemeTokens<Argument0, "">);
declare const config: {
    prefix: "";
    media: {
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    };
    theme: {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red40: string;
            red60: string;
            yellow40: string;
        };
    };
    themeMap: _stitches_react_types_config.DefaultThemeMap;
    utils: {};
};
declare const reset: () => void;

export { Button, Icon, IconKeys, IconProps, OutroComponente, config, createTheme, css, getCssText, globalCss, iconKeys, keyframes, reset, styled, theme };
